/**
 * @license
 * Copyright 2022 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
/**
 * Convert a {@link ScriptReference} to a string that can be used as a key in a
 * Set, Map, etc.
 */
export const scriptReferenceToString = ({ packageDir, name, }) => JSON.stringify([packageDir, name]);
/**
 * Inverse of {@link scriptReferenceToString}.
 */
export const stringToScriptReference = (str) => {
    const [packageDir, name] = JSON.parse(str);
    return { packageDir, name };
};
//# sourceMappingURL=config.js.map